#!/bin/bash

#    Creates a screenshot of your current GDM Theme.
#    Please make sure you have xnest and ImageMagick installed

#    GDM_screenshot.sh - By John Hamelink
#    Licenced under the GPL.
#    Copyright 2008 John Hamelink

#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.




echo "GDM_screenshot.sh - By John Hamelink."
echo "Licenced under the GPL."
echo "PLEASE DO NOT MOVE THE XNEST, OR THE SCREENSHOT WILL NOT WORK"


#start xnest

if [ "`ps -A | grep Xnest`" != "" ]
then
	echo "gdmflexiserver --xnest is already running..."
else
	echo "gdmflexiserver --xnest wasn't running, it is now :)"
	`gdmflexiserver --xnest`
fi

echo "Waiting for xnest to finish loading (sleeping 10 seconds)"

sleep 10;

echo "Taking screenshot with ImageMagick"

`import -window Xnest ~/screenshot.png`

echo "Saved to your home directory"
echo "Killing Xnest..."
`killall Xnest`
echo "All done, Come again :D"
